Debian Bug report logs - #206870
RM: 3dwm -- RoQA; unused, dead upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sat, 23 Aug 2003 18:18:13 UTC

Severity: normal

Tags: confirmed

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206870; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Maurizio Boriani <baux@debian.org>
Subject: O: 3dwm -- libzorn development files
Date: Sun, 24 Aug 2003 01:18:12 +1000
Package: wnpp
Severity: normal

The current maintainer of 3dwm, Maurizio Boriani <baux@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: 3dwm
Binary: libnobel-dev, libcelsius-dev, libzorn-dev, libsolid, libgarbo-dev, libsolid-dev, 3dwm-server, 3dwm-vncclient, 3dwm-geoclient, libgarbo, libpolhem-dev, 3dwm-texclient, 3dwm-pickclient, libzorn, libpolhem, libcelsius, 3dwm-clock, 3dwm-csgclient, libnobel
Version: 0.3.1-11
Priority: optional
Section: graphics
Maintainer: Maurizio Boriani <baux@debian.org>
Build-Depends: debhelper, flex, omniorb (>= 3.0), omniorb-dev (>= 3.0), libmeshio-dev, libsdl1.2-dev, libgl-dev, libexpat1-dev, libpng2-dev, omniidl, omniidl-cxx
Architecture: any
Standards-Version: 3.2.1
Format: 1.0
Directory: pool/main/3/3dwm
Files: 964c20a39c31bf3c23a1008e07b47ba7 970 3dwm_0.3.1-11.dsc
 fee73cbc6a41c95df5d6a8c11ec805b8 444006 3dwm_0.3.1.orig.tar.gz
 1203a666a2ea0d5e8830274b8f3d7a86 54235 3dwm_0.3.1-11.diff.gz

Package: 3dwm-clock
Priority: optional
Section: graphics
Installed-Size: 144
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libc6 (>= 2.2.4-4), libnobel (>= 0.3.1), omniorb (>= 3.0)
Filename: pool/main/3/3dwm/3dwm-clock_0.3.1-11_i386.deb
Size: 42478
MD5sum: 75a9ff44acb463c2feb22cebe7c17f34
Description: A 3Dwm apps
 The 3Dwm clock application (tdwm-clock) is the first real application
 that is even remotely useful. It makes use of the 3Dwm Nobel API,
 including the new solid modeling support, to create a
 three-dimensional analog clock displaying the current time.

Package: 3dwm-csgclient
Priority: optional
Section: graphics
Installed-Size: 144
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libc6 (>= 2.2.4-4), libnobel (>= 0.3.1), omniorb (>= 3.0)
Filename: pool/main/3/3dwm/3dwm-csgclient_0.3.1-11_i386.deb
Size: 41784
MD5sum: 2f1b3d7ab1ef4c42d2bd3e44cf58aba8
Description: A 3Dwm client
 A simple client which is built using the new libsolid.  This is only
 an example of how libsolid works.

Package: 3dwm-geoclient
Priority: optional
Section: graphics
Installed-Size: 184
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libc6 (>= 2.2.4-4), libnobel (>= 0.3.1), libmeshio0, omniorb (>= 3.0)
Filename: pool/main/3/3dwm/3dwm-geoclient_0.3.1-11_i386.deb
Size: 54072
MD5sum: 4d2ad350d92b0500d723e15d92b18abb
Description: A 3Dwm client
 This is a very simple 3Dwm client that connects to the
 exported GeometryKit in the server, creates a Geometry, loads a 3D
 file from the local system (in this case a simple model of an office,
 which also happens to be Rob's room), and passes it to the 3Dwm
 server. The 3Dwm server will happily render any geometry that is
 created, so running geoclient several times will add more geometries
 to the graphical output. Please note that you may need to zoom out
 (using the 'X' key) to see graphical output.
 The geoclient is able to open native .raw files as well as standard
 3ds files (using MeshIO). In other words, you may experiment by
 loading other files than the supplied office model to the 3Dwm server.

Package: 3dwm-pickclient
Priority: optional
Section: graphics
Installed-Size: 136
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libc6 (>= 2.2.4-4), libnobel (>= 0.3.1), omniorb (>= 3.0)
Filename: pool/main/3/3dwm/3dwm-pickclient_0.3.1-11_i386.deb
Size: 41340
MD5sum: 52f35c250e376b542184c28635e8bb82
Description: A 3Dwm client
 This is an example showing how libzorn work.

Package: 3dwm-server
Priority: optional
Section: graphics
Installed-Size: 248
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libc6 (>= 2.2.4-4), libcelsius (>= 0.3.1), libgarbo (>= 0.3.1), libnobel (>= 0.3.1), libpolhem (>= 0.3.1), libsolid (>= 0.3.1), libzorn (>= 0.3.1), xlibs (>> 4.1.0), omniorb (>= 3.0)
Filename: pool/main/3/3dwm/3dwm-server_0.3.1-11_i386.deb
Size: 70320
MD5sum: c8e79ce058bd9e5bd73a813f504c9b29
Description: Binary server daemon
 This package contains display binary server daemon.

Package: 3dwm-texclient
Priority: optional
Section: graphics
Installed-Size: 136
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libc6 (>= 2.2.4-4), libnobel (>= 0.3.1), omniorb (>= 3.0)
Filename: pool/main/3/3dwm/3dwm-texclient_0.3.1-11_i386.deb
Size: 41066
MD5sum: 5a69a01bbc24a2feeeb07fec2d59254d
Description: A 3Dwm client
 This is a simple client used for testing the 3Dwm texture
 capabilities.

Package: 3dwm-vncclient
Priority: optional
Section: graphics
Installed-Size: 136
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libc6 (>= 2.2.4-4), libnobel (>= 0.3.1), omniorb (>= 3.0)
Filename: pool/main/3/3dwm/3dwm-vncclient_0.3.1-11_i386.deb
Size: 41702
MD5sum: 37a5448af1157c1256a3ae3a485eb2eb
Description: A 3Dwm client
 This will open a connection to the VNC server from the 3Dwm
 server, and the graphical output will be displayed on a single quad in
 the 3Dwm world (you may need to zoom out to see it). Currently,
 vncclient supports no interaction with the VNC window (the bindings
 and the actual communication code has been implemented, only the 3Dwm
 side is missing).

Package: libcelsius
Priority: optional
Section: libs
Installed-Size: 400
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libc6 (>= 2.2.4-4), libexpat1 (>= 1.95.2-6), libpng2(>=1.0.12)
Filename: pool/main/3/3dwm/libcelsius_0.3.1-11_i386.deb
Size: 113712
MD5sum: 1c5d1a35a159d37e7f0b5ad9296f8eda
Description: Interface library to underlying OS
 This is 3Dwm low-level interface insulating the rest of
 the system from details of the underlying operating system,
 providing high-level, abstract services like threads menagement
 mutual exclusion, synchronization and so on. The module also
 incapsulate things like shared memory, dinamically loaded libraries
 and other system-level funcionality.

Package: libcelsius-dev
Priority: optional
Section: devel
Installed-Size: 676
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libcelsius (= 0.3.1-11), libc6-dev
Filename: pool/main/3/3dwm/libcelsius-dev_0.3.1-11_i386.deb
Size: 139666
MD5sum: cb0a7293e8580b20c3be73525a54db63
Description: libcelsius development file
 These are libcelsius development files.

Package: libgarbo
Priority: optional
Section: libs
Installed-Size: 172
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libc6 (>= 2.2.4-4), libpng2(>=1.0.12)
Filename: pool/main/3/3dwm/libgarbo_0.3.1-11_i386.deb
Size: 55466
MD5sum: 3d352224349c9607e360f377b2dd6574
Description: Backward compatibility library
 This library provides backwards compatibility with existing applications
 by providing an abstract interface for binding conventional
 windowing systems. Using garbo, it should be possible to use legacy
 applications from windowing systems like X11, Windows and MacOS, at
 least long as the system is capable of running locally on the same
 machine.

Package: libgarbo-dev
Priority: optional
Section: devel
Installed-Size: 184
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libgarbo (= 0.3.1-11), libc6-dev
Filename: pool/main/3/3dwm/libgarbo-dev_0.3.1-11_i386.deb
Size: 49352
MD5sum: 2a622faf77623ddf80b909d0885819d8
Description: libgarbo development file
 These are libgarbo development files.

Package: libnobel
Priority: optional
Section: libs
Installed-Size: 1320
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libc6 (>= 2.2.4-4), libpng2(>=1.0.12), omniorb (>= 1:3.0.1)
Filename: pool/main/3/3dwm/libnobel_0.3.1-11_i386.deb
Size: 322620
MD5sum: 40ea700c98275c1caddb1b439ca23b59
Description: API library for client's development
 This API is the client programming interface used by application
 writers developing software 3Dwm. It's a sef of CORBA IDL interfaces
 that describe how to speak 3Dwm, and thus allow any language with CORBA
 bindings to be used when building 3Dwm applications.

Package: libnobel-dev
Priority: optional
Section: devel
Installed-Size: 2700
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libnobel (= 0.3.1-11), libc6-dev
Filename: pool/main/3/3dwm/libnobel-dev_0.3.1-11_i386.deb
Size: 512160
MD5sum: 58173176a878ac8780cf13eceb6332bd
Description: libnobel development files
 These are libnobel development files.

Package: libpolhem
Priority: optional
Section: libs
Installed-Size: 1580
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: glutg3 (>= 3.7-2), libc6 (>= 2.2.4-4), libpng2(>=1.0.12), libsdl1.2debian (>> 1.2.3), xlibmesa3 | libgl1, xlibs (>> 4.1.0)
Filename: pool/main/3/3dwm/libpolhem_0.3.1-11_i386.deb
Size: 342832
MD5sum: 45c099e7eec00a9d77723ede12f70bae
Description: Interface library to Nobel
 This is the Nobel client programming interface. It manages the
 display and input hardware and acts as an extensible framework
 for pluggable modules that add functionality to the system.

Package: libpolhem-dev
Priority: optional
Section: devel
Installed-Size: 4368
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libpolhem (= 0.3.1-11), libc6-dev
Filename: pool/main/3/3dwm/libpolhem-dev_0.3.1-11_i386.deb
Size: 893212
MD5sum: f82e4fb7ab033777eed2f7693fc3a03a
Description: libpolhem development files
 These are libpolhem development files.

Package: libsolid
Priority: optional
Section: libs
Installed-Size: 288
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libc6 (>= 2.2.4-4), libpng2(>=1.0.12)
Filename: pool/main/3/3dwm/libsolid_0.3.1-11_i386.deb
Size: 82420
MD5sum: 75ea5c3e3b1a82134ac70678df99abf3
Description: Solids trace library
 This library is core of solid trace system in a tree
 data structured.

Package: libsolid-dev
Priority: optional
Section: devel
Installed-Size: 464
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libsolid (= 0.3.1-11), libc6-dev
Filename: pool/main/3/3dwm/libsolid-dev_0.3.1-11_i386.deb
Size: 105312
MD5sum: d24471823999bc7a32752d8d43a4454e
Description: libsolid development files
 These are libpolhem development files.

Package: libzorn
Priority: optional
Section: libs
Installed-Size: 624
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libc6 (>= 2.2.4-4), libpng2(>=1.0.12)
Filename: pool/main/3/3dwm/libzorn_0.3.1-11_i386.deb
Size: 126568
MD5sum: 075f1034d135b594541e5c81ad44a3a5
Description: Interface library to painting functions
 This library is core of 3Dwm paintings (output)
 functions

Package: libzorn-dev
Priority: optional
Section: devel
Installed-Size: 1316
Maintainer: Maurizio Boriani <baux@debian.org>
Architecture: i386
Source: 3dwm
Version: 0.3.1-11
Depends: libzorn (= 0.3.1-11), libc6-dev
Filename: pool/main/3/3dwm/libzorn-dev_0.3.1-11_i386.deb
Size: 185842
MD5sum: 83ee39d139e9da652ae44c5b67e72523
Description: libzorn development files
 These are libzorn development files.

Justification: Many NMUs, maintainer missing for over a year, was contacted
and didn't respond. 3dwm: 2 NMUs, genesis: 3 NMUs, meshio: 3 NMUs, openvrml:
4 NMUs, xpa: 3 NMUs.

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206870; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 206870@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: 206870@bugs.debian.org
Subject: judging for removal of 3dwm
Date: Sun, 20 Feb 2005 22:35:23 +0100
[Message part 1 (text/plain, inline)]
Usage statistic:   popcon vote: 0-8, last bug report: 124 days ago

NMUs:              3 NMUs in a row, last NMU more than a year ago

Bugs:              Total: 7, Important:2

Upstream:          Last news entry on
                   http://www.cs.chalmers.se/~elm/projects/3dwm/ is 2 years old.
	           Offical upstream homepage http://www.3dwm.org is dead 
		   (times out).
		   New upstream version available (see #217664), but no
		   longer available for download (see above).

Dependency:        No reverse dependencies to packages outside of the 3dwm
                   source.

Time since O:      Orphaned more than a year ago

Distributions:     0.3.1-8 is part of stable, 0.3.1-11.3 in testing and unstable

Usefullness:       As nothing in Debian uses the 3D Windowing System
                   provided by 3dwm this does not seem to be very
		   usefull. 

Conclusion:        Remove package from Debian

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206870; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 206870@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Gaudenz Steinlin <gaudenz@debian.org>, 206870@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#206870: judging for removal of 3dwm
Date: Sun, 20 Feb 2005 23:56:49 +0100
reassign 206870 ftp.debian.org
retitle 206870 RM: 3dwm -- RoQA; unused, dead upstream
tags 206870 confirmed
thanks

On Sun, Feb 20, 2005 at 10:35:23PM +0100, Gaudenz Steinlin wrote:
> Conclusion:        Remove package from Debian

Yeah, thanks.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 206870-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 206870-close@bugs.debian.org
Cc: 3dwm@packages.debian.org, 3dwm@packages.qa.debian.org
Subject: Bug#206870: fixed
Date: Wed, 16 Mar 2005 01:24:34 -0500
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      3dwm | 0.3.1-11.3 | source
3dwm-clock | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
3dwm-csgclient | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
3dwm-geoclient | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
3dwm-pickclient | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
3dwm-server | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
3dwm-texclient | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
3dwm-vncclient | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libcelsius | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libcelsius-dev | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
  libgarbo | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libgarbo-dev | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
  libnobel | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libnobel-dev | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
 libpolhem | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libpolhem-dev | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
  libsolid | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libsolid-dev | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
   libzorn | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libzorn-dev | 0.3.1-11.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 206870@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:15:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.